package test.java.interfaces;

/**
 * Main Controller for the Virtual Device Service.
 * @author lekkas@vtrip.net
 *
 */
public interface MainControl {
	
	/**
	 * Starts the virtual device service. You can get the list of virtual
	 * device IDs from the console output.
	 * 
	 * @param numOfDevices the number of virtual devices.
	 */
	public void startService(int numOfDevices);
	
	
	/**
	 * Stops the virtual device service.
	 */
	public void stopService();
}
