package org.ow2.choreos.registry;

import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * Servlet implementation class RemoveMe
 */
public class RemoveServiceServlet extends HttpServlet {

    private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public RemoveServiceServlet() {
        super();

    }

    /**
     * @param request
     * @param response
     * @throws javax.servlet.ServletException
     * @throws java.io.IOException
     * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse
     * response)
     */
    @Override
    protected void doGet(HttpServletRequest request,
            HttpServletResponse response) throws ServletException, IOException {

    }

    /**
     * @param request
     * @param response
     * @throws javax.servlet.ServletException
     * @throws java.io.IOException
     * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse
     * response)
     */
    @Override
    protected void doPost(HttpServletRequest request,
            HttpServletResponse response) throws ServletException, IOException {
        PrintWriter pr = response.getWriter();

        String serviceAddress = request.getParameter("address");
        if ((serviceAddress == null)) {
            response.sendError(500);
            return;
        }
        try {
            boolean result = RegistryMap.remove(serviceAddress);
            if (result == true) {
                pr.print(true);
            } else {
                response.sendError(300);
            }

        } catch (IOException e) {
            System.out.println(e.getMessage());
            response.sendError(500);
        }
    }
}