package org.ow2.choreos.registry;

import java.io.IOException;
import java.io.PrintWriter;
import java.util.Date;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;
import java.util.Set;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.transaction.Status;

import org.json.simple.JSONArray;
import org.json.simple.JSONObject;
import org.ow2.choreos.iots.common.Point;
import org.ow2.choreos.iots.common.ServiceDescription;

/**
 * Servlet implementation class UpdateDevice
 */
public class UpdateDevice extends HttpServlet {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	protected void doPost(HttpServletRequest request,
			HttpServletResponse response) throws ServletException, IOException {
		PrintWriter pr = response.getWriter();

		String deviceID = request.getParameter("deviceID");
		String location_X = request.getParameter("location_x");
		String location_Y = request.getParameter("location_y");

		if ((deviceID == null) ||  (location_X == null) ||  (location_Y == null)) {
			response.sendError(500);
			return;
		}
		try {

		
			boolean result = RegistryMap.updateRegisteredDevice(deviceID, location_X, location_Y);
			
			if (result == true) {
				pr.print(true);
				response.setStatus(200);
			}

			else {
				pr.print(false);
				response.sendError(400);

			}

		} catch (Exception e) {
			pr.print(false);
			response.sendError(500);
		}
		
		response.setStatus(200);
	}
	
}
