package fr.inria.arles.thinglib.RESTAccess;

import java.io.UnsupportedEncodingException;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

import org.restlet.*;
import org.restlet.resource.ServerResource;
import org.restlet.data.Protocol;
import android.util.Log;

public class RestletServerResource extends ServerResource {  
	
		static int num = 0;
		private static Server s = null; 
		private static Component component;
		private static final String TAG = "RestletServer";
	
		public RestletServerResource() {
			if(s == null)
				s = new Server(Protocol.HTTP, 8182);
		}
		
		public String getServerAddr() {
			return s.getAddress();
		}
	   
		public static void startRESTLETServer() {
		   try {
			   if(!s.isStarted()) {
				   component = new Component(); 
				   component.getServers().add(s);  
				   component.getDefaultHost().attach("/getlocation", LocationRestletResource.class);
				   component.getDefaultHost().attach("/getextendedlocation", ExtendedLocationRestletResource.class);
				   component.getDefaultHost().attach("/getnoiselevel", SoundRestletResource.class);
				   component.getDefaultHost().attach("/pushmessage", MessagingRestletResource.class);
				   component.start();
				   Log.i(TAG, "Started RESTLET server");
			   }
		      } catch(Exception e) {
		    	  Log.e(TAG, "exception: "+e.toString());
		   }
	   	}
	   
		public static void stopRESTLETServer() {
		   try {
			   if(s.isStarted()) {
				   //s.stop();
				   component.stop();
				   Log.i(TAG, "Stopped RESTLET server");
			   }
		      } catch(Exception e) {
		    	  Log.e(TAG, "exception: "+e.toString());
		   }
	   	}
		
	}  

