//
//  StaticAddresses class
//  SensorAccess
//
//  Created by Georgios Mathioudakis (georgios.mathioudakis@inria.fr) on 4/2/2014
//  Copyright (c) 2014 fr.inria.arles. All rights reserved.
//
package fr.inria.arles.thinglib.RESTAccess;

import android.widget.TextView;
import fr.inria.arles.thinglib.R;

public class Static_Addresses {

    /* LOCALHOST */
    public static String REGISTRY_HOST = "http://128.93.41.127:8080";
    public static String PROXY_HOST = "http://128.93.41.127:8080";
    public static String REGISTRY_URL = REGISTRY_HOST + "/RegistryManager/rest/";
    public static String PROXY_URL = PROXY_HOST + "/PhoneServicesProxy/";
    public static String PROXY_WEBSOCKET_URL = PROXY_HOST.split(":")[0] + ":" + PROXY_HOST.split(":")[1] + ":8887";
    public static int WS_SERVER_PORT = 8887;

    /**
     * Updates address of Registry manager
     *
     * @param host URL address of the Registry manager
     */
    public static void Set_RegistryHost(String host) {
        REGISTRY_HOST = host;
        REGISTRY_URL = REGISTRY_HOST + "/RegistryManager/rest/";
    }

    /**
     * Updates address of Proxy server
     *
     * @param host URL address of the Proxy server
     */
    public static void Set_ProxyHost(String host) {
        PROXY_HOST = host;
        PROXY_URL = PROXY_HOST + "/PhoneServicesProxy/";
        PROXY_WEBSOCKET_URL = PROXY_HOST.split(":")[0] + ":" + PROXY_HOST.split(":")[1] + ":8887";
    }

}
