package fr.inria.arles.thinglib.datatypes;

public abstract class LongData extends SensorData {

	private static final long serialVersionUID = -2532635367118000720L;

	protected final long value;

	public LongData(long value, long timestamp) {
		super(timestamp);
		this.value = value;
	}

	public long getValue() {
		return value;
	}

	@Override
	public String toString() {
		return Long.toString(value);
	}

	@Override
	public String[] toStringArray() {
		String[] s = new String[2];
		s[0] = Long.toString(timestamp);
		s[1] = Long.toString(value);
		return s;
	}
}

