package org.ow2.choreos.iots.common;

import java.util.ArrayList;
import org.ow2.choreos.iots.datatypes.SensorData;

public class Function
{
  public static final String NUM = "num";
  public static final String OPERATION = "operation";
  public static final String OPENBRACKET = "openBracket";
  public static final String CLOSEBRACKET = "closeBracket";
  public static final String PARAMETER = "parameter";
  String myExpression;
  FunctionObject myOutputConcept;
  ArrayList<String> myInputParams = new ArrayList();
  String myInputConcept;
  String myType;
  String myStructure;
  ArrayList<String> myInputConcepts;
  String myOutputConcepts;

  public Function(String expression, ArrayList<String> inputConcepts, String outputConcepts)
  {
    this.myExpression = expression;
    this.myInputConcepts = inputConcepts;
    this.myOutputConcepts = outputConcepts;
  }

  public FunctionObject getOutputType()
  {
    return this.myOutputConcept;
  }

  public String getOutputUnit() {
    return "";
  }

  public String getOutputMathematicalType()
  {
    return "";
  }

  public String getInputTypes() {
    return "";
  }

  public String getInputUnits() {
    return "";
  }

  public String getExpression() {
    return this.myExpression;
  }

  public String getExpressionStructire() {
    return this.myStructure;
  }

  public static double getAverage(ArrayList<SensorData> dataValues, int totalNumber)
  {
    double sum = 0.0D;
    String functionType = "Average";
    for (int i = 0; i < totalNumber; i++) {
      sum += Double.parseDouble(((SensorData)dataValues.get(i)).toString());
    }
    double average = sum / totalNumber;
    return average;
  }

  public static double getAverageDouble(ArrayList<Double> dataValues, int totalNumber)
  {
    double sum = 0.0D;
    String functionType = "Average";
    for (int i = 0; i < totalNumber; i++) {
      sum += Double.parseDouble(((Double)dataValues.get(i)).toString());
    }
    double average = sum / totalNumber;
    return average;
  }
}