package org.ow2.choreos.iots.common;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;

public class SubstituteSensorSet
{
  ArrayList<String> setOfSubSensors = new ArrayList();
  ArrayList<String> setOfConcepts = new ArrayList();
  HashMap<String, String> subSets = new HashMap();

  public SubstituteSensorSet(HashMap<String, String> subSensors)
  {
    this.subSets = subSensors;
  }

  public ArrayList<String> getAllSensorTypes()
  {
    this.setOfSubSensors = new ArrayList();
    for (Map.Entry entry : this.subSets.entrySet())
    {
      this.setOfSubSensors.add(((String)entry.getKey()).toString());
    }

    return this.setOfSubSensors;
  }

  public ArrayList<String> getAllConcepts() {
    this.setOfConcepts = new ArrayList();
    for (Map.Entry entry : this.subSets.entrySet()) {
      this.setOfConcepts.add(((String)entry.getValue()).toString());
    }

    return this.setOfConcepts;
  }

  public ArrayList<String> getGetSensorAndConcept(int index) {
    int i = 0;
    ArrayList sensorAndConcept = new ArrayList();
    for (Map.Entry entry : this.subSets.entrySet()) {
      i++;
      if (i == index) {
        sensorAndConcept.add((String)entry.getKey());
        sensorAndConcept.add((String)entry.getValue());
      }
    }

    return sensorAndConcept;
  }
}