package org.ow2.choreos.iots.semantics;

import org.json.simple.JSONObject;

public abstract class SemanticClass
{
  protected SemanticClass()
  {
  }

  public SemanticClass(JSONObject j)
  {
  }

  public abstract String getUid();

  public abstract String getInterface();

  public Object getProperty(String propertyName)
    throws NotImplementedException
  {
    throw new NotImplementedException(propertyName);
  }

  public void setProperty(String propertyName, Object value)
    throws NotImplementedException
  {
    throw new NotImplementedException(propertyName);
  }

  public boolean isIdentifiedBy(String uid)
  {
    return getUid().equals(uid);
  }

  public boolean implementsInterface(String interfaceStr)
  {
    return getInterface().equals(interfaceStr);
  }

  public JSONObject serializeAsJSON()
  {
    return null;
  }
}