package test;

import static org.junit.Assert.*;

import java.util.ArrayList;

import org.junit.Before;
import org.junit.Test;
import org.ow2.choreos.iots.Objects.Coordinate;
import org.ow2.choreos.iots.Objects.Rectangle;
import org.ow2.choreos.iots.linesweep.LineSweep;


public class TestSweep {
	ArrayList<Coordinate> coords = new ArrayList<Coordinate>();
	ArrayList<Rectangle> recs = new ArrayList<Rectangle>();
	ArrayList<Rectangle> recs1 = new ArrayList<Rectangle>();
	ArrayList<Rectangle> recs2 = new ArrayList<Rectangle>();
	ArrayList<Rectangle> recs3 = new ArrayList<Rectangle>();

	@Before
	public void setUp() throws Exception {

	}

	@Test
	public void testSweep() {
		Rectangle r1 = new Rectangle(1, 1, 3, 3, "1");
		recs.add(r1);
		Rectangle r2 = new Rectangle(1, 1, 3, 2, "2");
		recs.add(r2);
		Rectangle r3 = new Rectangle(0, 3, 5, 7, "3");
		recs.add(r3);
		Rectangle r4 = new Rectangle(5, 0, 8, 3, "4");
		recs.add(r4);


		assertEquals(33, LineSweep.sweep(recs), 0.0);
		System.out.println(LineSweep.sweep(recs));

	}
	@Test
	public void testSweep1() {
		Rectangle r1 = new Rectangle(1, 1, 3, 3, "1");
		recs1.add(r1);
		Rectangle r2 = new Rectangle(3, 1, 5, 5, "2");
		recs1.add(r2);
		Rectangle r3 = new Rectangle(2, 4, 3, 5, "3");
		recs1.add(r3);

		assertEquals(13, LineSweep.sweep(recs1), 0.0);
		System.out.println(LineSweep.sweep(recs1));

	}
	
	@Test
	public void testSweep2() {
		Rectangle r1 = new Rectangle(1, 1, 4, 4, "1");
		recs2.add(r1);
		Rectangle r2 = new Rectangle(1, 3, 4, 6, "2");
		recs2.add(r2);
		Rectangle r3 = new Rectangle(3, 1, 6, 4, "3");
		recs2.add(r3);
		Rectangle r4 = new Rectangle(2, 2, 5, 5, "4");
		recs2.add(r4);
		Rectangle r5 = new Rectangle(4, 4, 7, 7, "5");
		recs2.add(r5);
		Rectangle r6 = new Rectangle(3, 8, 5, 10, "6");
		recs2.add(r6);
		assertEquals(34, LineSweep.sweep(recs2), 0.0);
		System.out.println(LineSweep.sweep(recs2));

	}
	
	@Test
	public void testSweep3() {
		Rectangle r1 = new Rectangle(2, 5, 7,10, "1");
		recs3.add(r1);
		Rectangle r2 = new Rectangle(3, 3, 8, 8, "2");
		recs3.add(r2);
		Rectangle r3 = new Rectangle(4,4, 9, 9, "3");
		recs3.add(r3);
	
		assertEquals(44, LineSweep.sweep(recs3), 0.0);
		System.out.println(LineSweep.sweep(recs3));

	}
	

}
