package org.ow2.choreos.iots.common;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map.Entry;

import org.ow2.choreos.iots.datatypes.SensorData;

public class Function {
	public static final String NUM = "num";
	public static final String OPERATION = "operation";
	public static final String OPENBRACKET = "openBracket";
	public static final String CLOSEBRACKET = "closeBracket";
	public static final String PARAMETER = "parameter";

	String myExpression;

	FunctionObject myOutputConcept;
	ArrayList<String> myInputParams = new ArrayList<String>();
	String myInputConcept;
	String myType;
	String myStructure;
	ArrayList<String> myInputConcepts;
	//static HashMap<Concept, FunctionObject> myParamsAndConcepts = new HashMap<Concept, FunctionObject>();
	String myOutputConcepts;

	public Function(String expression, ArrayList<String> inputConcepts,
			String outputConcepts) {
		myExpression = expression;
		myInputConcepts = inputConcepts;
		myOutputConcepts = outputConcepts;
	}

	/*public Function(String expression, String expressionStructure,
			HashMap<Concept, FunctionObject> parameterAndConcept,
			FunctionObject outputConcept) {
		myExpression = expression;
		myStructure = expressionStructure;
		myOutputConcept = outputConcept;
		myParamsAndConcepts = parameterAndConcept;

	}*/

	/*public ArrayList<String> getParameters() {
		for (Entry<Concept, FunctionObject> entry : myParamsAndConcepts
				.entrySet()) {
			String p = entry.getValue().getValue();
			myInputParams.add(p);
		}
		return myInputParams;

	}*/

/*	public ArrayList<FunctionObject> getParameterFunctionObjects() {
		ArrayList<FunctionObject> paramFO = new ArrayList<FunctionObject>();
		for (Entry<Concept, FunctionObject> entry : myParamsAndConcepts
				.entrySet()) {
			FunctionObject fo = entry.getValue();
			paramFO.add(fo);
		}
		return paramFO;

	}*/

	// getOutputType returns the physical concept
	public FunctionObject getOutputType() {
		return myOutputConcept;
	}

	public String getOutputUnit() {
		return "";
	}

	// getOutputMathematicType returns the number type (int, float, real)
	public String getOutputMathematicalType() {
		return "";
	}

	public String getInputTypes() {
		return "";
	}

	public String getInputUnits() {
		return "";
	}

	public String getExpression() {
		return myExpression;
	}

	public String getExpressionStructire() {
		return myStructure;
	}

	// TODO ADD THE OPERATIONSIONS IN MATH.etc
	/*public static Object[] parse(String expression, String expressionStruct) {
		double dataValue = 0.0;
		boolean found = false;
		ArrayList<FunctionObject> fObjs = new ArrayList<FunctionObject>();
		String delim = "\\]";
		String[] structObjs = expressionStruct.split(delim);
		String[] expObjs = expression.split(delim);
		FunctionObject fo = null;
		Object[] parsedStrObj = new Object[25];
		for (int i = 0; i < expObjs.length; i++) {
			expObjs[i] = expObjs[i].replace("[", "");
			expObjs[i] = expObjs[i].replace("]", "");
			structObjs[i] = structObjs[i].replace("[", "");
			// System.out.println(expObjs[i] " and " + fo.getValue());
			for (Entry<Concept, FunctionObject> entry : myParamsAndConcepts
					.entrySet()) {
				fo = entry.getValue();
				if (fo.getValue().equals(expObjs[i])) {

					fObjs.add(fo);
					found = true;
					break;
				} else
					found = false;
			}
			if (found == false)
				fObjs.add(new FunctionObject(structObjs[i], expObjs[i],
						"toGetFromOnto", 0.0));

			// System.out.println(expObjs[i] + " and " + fo.getValue() + "and"
			// + fo.getDataValue());

		}

		for (int j = 0; j < fObjs.size(); j++) {
			try {
				if (parsedStrObj[j].equals(""))
					;
			} catch (NullPointerException e) {
				if (fObjs.get(j).getType().equals(NUM)) {
					parsedStrObj[j] = Double.parseDouble(fObjs.get(j)
							.getValue().toString());
					// System.out.println(parsedStrObj[j].toString());
				}
				// TODO MAKE SURE js ARE LARGER THAN WHAT I SUBTRACT

				// TODO SEARCH FOR PRODUCT AND DIVISION FIRST
				else if (fObjs.get(j).getType().equals(OPENBRACKET))
					parsedStrObj[j] = fObjs.get(j).getValue();
				else if (fObjs.get(j).getType().equals(CLOSEBRACKET))
					parsedStrObj[j] = fObjs.get(j).getValue();
				else if (fObjs.get(j).getType().equals(OPERATION)) {
					parsedStrObj[j] = fObjs.get(j).getValue();

					if (parsedStrObj[j].equals("*")) {
						if (fObjs.get(j - 1).getType().equals(CLOSEBRACKET) == true
								|| fObjs.get(j + 1).getType()
										.equals(OPENBRACKET) == true
								|| fObjs.get(j - 1).getValue()
										.equals("toThePower") == true
								|| fObjs.get(j + 1).getValue()
										.equals("theThePower") == true)
							parsedStrObj[j] = fObjs.get(j).getValue();

						else if (fObjs.get(j - 1).getType().equals(PARAMETER)
								&& fObjs.get(j + 1).getType().equals(PARAMETER)) {
							parsedStrObj[j - 1] = fObjs.get(j - 1)
									.getDataValue()
									* fObjs.get(j + 1).getDataValue();
							parsedStrObj[j + 1] = "";
							parsedStrObj[j] = "";
						}

						else if (fObjs.get(j - 1).getType().equals(PARAMETER)
								&& fObjs.get(j + 1).getType().equals(PARAMETER) == false) {
							parsedStrObj[j - 1] = fObjs.get(j - 1)
									.getDataValue()
									* Double.parseDouble(fObjs.get(j + 1)
											.getValue());
							parsedStrObj[j + 1] = "";
							parsedStrObj[j] = "";
						}

						else if (fObjs.get(j - 1).getType().equals(PARAMETER) == false
								&& fObjs.get(j + 1).getType().equals(PARAMETER)) {
							parsedStrObj[j - 1] = Double.parseDouble(fObjs.get(
									j - 1).getValue())
									* fObjs.get(j + 1).getDataValue();
							parsedStrObj[j + 1] = "";
							parsedStrObj[j] = "";
						}

						else if (fObjs.get(j - 1).getType()
								.equals(CLOSEBRACKET) == false
								&& fObjs.get(j + 1).getType()
										.equals(OPENBRACKET) == false) {

							parsedStrObj[j - 1] = Double.parseDouble(fObjs.get(
									j - 1).getValue())
									* Double.parseDouble(fObjs.get(j + 1)
											.getValue());
							parsedStrObj[j + 1] = "";
							parsedStrObj[j] = "";
						}

					}

					else if (parsedStrObj[j].equals("/")) {
						if (fObjs.get(j - 1).getType().equals(CLOSEBRACKET) == true
								|| fObjs.get(j + 1).getType()
										.equals(OPENBRACKET) == true
								|| fObjs.get(j - 1).getType().equals(OPERATION) == true
								|| fObjs.get(j + 1).getType().equals(OPERATION) == true)
							parsedStrObj[j] = fObjs.get(j).getValue();
						else if (fObjs.get(j - 1).getType().equals(PARAMETER)
								&& fObjs.get(j + 1).getType().equals(PARAMETER)) {
							parsedStrObj[j - 1] = fObjs.get(j - 1)
									.getDataValue()
									/ fObjs.get(j + 1).getDataValue();
							parsedStrObj[j + 1] = "";
							parsedStrObj[j] = "";
						}

						else if (fObjs.get(j - 1).getType().equals(PARAMETER)
								&& fObjs.get(j + 1).getType().equals(PARAMETER) == false) {
							parsedStrObj[j - 1] = fObjs.get(j - 1)
									.getDataValue()
									/ Double.parseDouble(fObjs.get(j + 1)
											.getValue());
							parsedStrObj[j + 1] = "";
							parsedStrObj[j] = "";
						}

						else if (fObjs.get(j - 1).getType().equals(PARAMETER) == false
								&& fObjs.get(j + 1).getType().equals(PARAMETER)) {
							parsedStrObj[j - 1] = Double.parseDouble(fObjs.get(
									j - 1).getValue())
									/ fObjs.get(j + 1).getDataValue();
							parsedStrObj[j + 1] = "";
							parsedStrObj[j] = "";
						}

						else if (fObjs.get(j - 1).getType()
								.equals(CLOSEBRACKET) == false
								&& fObjs.get(j + 1).getType()
										.equals(OPENBRACKET) == false) {
							parsedStrObj[j - 1] = Double.parseDouble(fObjs.get(
									j - 1).getValue())
									/ Double.parseDouble(fObjs.get(j + 1)
											.getValue());
							parsedStrObj[j + 1] = "";
							parsedStrObj[j] = "";
						}

					}

					else if (parsedStrObj[j].equals("+")) {
						if (fObjs.get(j - 1).getType().equals(CLOSEBRACKET) == true
								|| fObjs.get(j + 1).getType()
										.equals(OPENBRACKET) == true
								|| fObjs.get(j - 1).getType().equals(OPERATION) == true
								|| fObjs.get(j + 1).getType().equals(OPERATION) == true
								|| fObjs.get(j - 2).getValue().equals("*")
								|| fObjs.get(j - 2).getValue().equals("/")
								|| fObjs.get(j + 2).getValue().equals("*")
								|| fObjs.get(j + 2).getValue().equals("/"))
							parsedStrObj[j] = fObjs.get(j).getValue();

						else if (fObjs.get(j - 1).getType().equals(PARAMETER)
								&& fObjs.get(j + 1).getType().equals(PARAMETER)) {
							if (j > 2 && parsedStrObj[j - 2].equals("-")) {
								double res = -fObjs.get(j - 1).getDataValue()
										+ fObjs.get(j + 1).getDataValue();

								parsedStrObj[j - 1] = Math.abs(res);
								if (res > 0) {
									parsedStrObj[j - 2] = "+";
								}
							}

							else
								parsedStrObj[j - 1] = fObjs.get(j - 1)
										.getDataValue()
										+ fObjs.get(j + 1).getDataValue();
							parsedStrObj[j + 1] = "";
							parsedStrObj[j] = "";
						}

						else if (fObjs.get(j - 1).getType().equals(PARAMETER)
								&& fObjs.get(j + 1).getType().equals(PARAMETER) == false) {
							if (j > 2
									&& parsedStrObj[j - 2].toString().equals(
											"-")) {
								double res = -fObjs.get(j - 1).getDataValue()
										+ Double.parseDouble(fObjs.get(j + 1)
												.getValue());
								parsedStrObj[j - 1] = Math.abs(res);
								if (res > 0) {
									parsedStrObj[j - 2] = "+";
								}
							}

							else
								parsedStrObj[j - 1] = fObjs.get(j - 1)
										.getDataValue()
										+ Double.parseDouble(fObjs.get(j + 1)
												.getValue());
							parsedStrObj[j + 1] = "";
							parsedStrObj[j] = "";
						}

						else if (fObjs.get(j - 1).getType().equals(PARAMETER) == false
								&& fObjs.get(j + 1).getType().equals(PARAMETER)) {
							if (j > 2
									&& parsedStrObj[j - 2].toString().equals(
											"-")) {
								double res = -Double.parseDouble(fObjs.get(
										j - 1).getValue())
										+ fObjs.get(j + 1).getDataValue();
								parsedStrObj[j - 1] = Math.abs(res);
								if (res > 0) {
									parsedStrObj[j - 2] = "+";
								}
							}

							else
								parsedStrObj[j - 1] = Double.parseDouble(fObjs
										.get(j - 1).getValue())
										+ fObjs.get(j + 1).getDataValue();
							parsedStrObj[j + 1] = "";
							parsedStrObj[j] = "";

						}

						else if (fObjs.get(j - 1).getType()
								.equals(CLOSEBRACKET) == false
								&& fObjs.get(j + 1).getType()
										.equals(OPENBRACKET) == false) {
							if (j > 2
									&& parsedStrObj[j - 2].toString().equals(
											"-")) {
								double res = -Double.parseDouble(fObjs.get(
										j - 1).getValue())
										+ Double.parseDouble(fObjs.get(j + 1)
												.getValue());
								parsedStrObj[j - 1] = Math.abs(res);
								if (res > 0) {
									parsedStrObj[j - 2] = "+";
								}
							}

							else
								parsedStrObj[j - 1] = Double.parseDouble(fObjs
										.get(j - 1).getValue())
										+ Double.parseDouble(fObjs.get(j + 1)
												.getValue());
							parsedStrObj[j + 1] = "";
							parsedStrObj[j] = "";
						}

					}

					else if (parsedStrObj[j].equals("-")) {
						if (fObjs.get(j - 1).getType().equals(CLOSEBRACKET) == true
								|| fObjs.get(j + 1).getType()
										.equals(OPENBRACKET) == true
								|| fObjs.get(j - 1).getType().equals(OPERATION) == true
								|| fObjs.get(j + 1).getType().equals(OPERATION) == true
								|| fObjs.get(j - 2).getValue().equals("*")
								|| fObjs.get(j - 2).getValue().equals("/")
								|| fObjs.get(j + 2).getValue().equals("*")
								|| fObjs.get(j + 2).getValue().equals("/"))
							parsedStrObj[j] = fObjs.get(j).getValue();
						else if (fObjs.get(j - 1).getType().equals(PARAMETER)
								&& fObjs.get(j + 1).getType().equals(PARAMETER)) {
							parsedStrObj[j - 1] = fObjs.get(j - 1)
									.getDataValue()
									- fObjs.get(j + 1).getDataValue();
							parsedStrObj[j + 1] = "";
							parsedStrObj[j] = "";
						}

						else if (fObjs.get(j - 1).getType().equals(PARAMETER)
								&& fObjs.get(j + 1).getType().equals(PARAMETER) == false) {
							parsedStrObj[j - 1] = fObjs.get(j - 1)
									.getDataValue()
									- Double.parseDouble(fObjs.get(j + 1)
											.getValue());
							parsedStrObj[j + 1] = "";
							parsedStrObj[j] = "";
						}

						else if (fObjs.get(j - 1).getType().equals(PARAMETER) == false
								&& fObjs.get(j + 1).getType().equals(PARAMETER)) {
							parsedStrObj[j - 1] = Double.parseDouble(fObjs.get(
									j - 1).getValue())
									- fObjs.get(j + 1).getDataValue();
							parsedStrObj[j + 1] = "";
							parsedStrObj[j] = "";
						}

						else if (fObjs.get(j - 1).getType()
								.equals(CLOSEBRACKET) == false
								&& fObjs.get(j + 1).getType()
										.equals(OPENBRACKET) == false) {

							parsedStrObj[j - 1] = Double.parseDouble(fObjs.get(
									j - 1).getValue())
									- Double.parseDouble(fObjs.get(j + 1)
											.getValue());
							parsedStrObj[j + 1] = "";
							parsedStrObj[j] = "";
						}

					}

					else if (parsedStrObj[j].equals("toThePower")) {
						if (fObjs.get(j + 2).getType().equals(PARAMETER)
								&& fObjs.get(j + 3).getType().equals(PARAMETER)) {
							parsedStrObj[j] = Math.pow(fObjs.get(j + 2)
									.getDataValue(), fObjs.get(j + 3)
									.getDataValue());
							parsedStrObj[j + 3] = "";
							parsedStrObj[j + 2] = "";
						}

						else if (fObjs.get(j + 2).getType().equals(PARAMETER)
								&& fObjs.get(j + 3).getType().equals(PARAMETER) == false) {
							parsedStrObj[j] = Math.pow(fObjs.get(j + 2)
									.getDataValue(), Double.parseDouble(fObjs
									.get(j + 3).getValue()));
							parsedStrObj[j + 3] = "";
							parsedStrObj[j + 2] = "";
						}

						else if (fObjs.get(j + 2).getType().equals(PARAMETER) == false
								&& fObjs.get(j + 3).getType().equals(PARAMETER)) {
							parsedStrObj[j] = Math.pow(Double.parseDouble(fObjs
									.get(j + 2).getValue()), fObjs.get(j + 3)
									.getDataValue());
							parsedStrObj[j + 3] = "";
							parsedStrObj[j + 2] = "";
						}

						else if (fObjs.get(j + 2).getType().equals(PARAMETER) == false
								&& fObjs.get(j + 3).getType().equals(PARAMETER) == false) {
							parsedStrObj[j] = Math.pow(Double.parseDouble(fObjs
									.get(j + 2).getValue()), Double
									.parseDouble(fObjs.get(j + 3).getValue()));
							parsedStrObj[j + 3] = "";
							parsedStrObj[j + 2] = "";
						}

						else if (fObjs.get(j - 1).getType()
								.equals(CLOSEBRACKET) == true) {
							parsedStrObj[j] = fObjs.get(j).getValue();
						}

					}

				} else if (fObjs.get(j).getType().equals(PARAMETER)) {
					parsedStrObj[j] = fObjs.get(j).getDataValue();
					// System.out.println(parsedStrObj[j].toString());
				}
				// for (int i = 0; i< myInputParams.size(); i++)
				// if (parsedStrObj[j].equals(myInputParams.get(i)))
				// parsedStrObj[j] = myInputParams.get(i)

			}
		}

		for (int i = 0; i < parsedStrObj.length; i++) {
			try {
				if (parsedStrObj[i].equals(""))
					for (int j = i + 1; j <= parsedStrObj.length - 1; j++)
						parsedStrObj[j - 1] = parsedStrObj[j];

			}

			catch (NullPointerException e) {
				break;
			}
			try {
				if (parsedStrObj[i].equals(""))
					for (int j = i + 1; j <= parsedStrObj.length - 1; j++)
						parsedStrObj[j - 1] = parsedStrObj[j];

			}

			catch (NullPointerException e) {
				break;
			}
		}
		// for (int k = 0; k < parsedStrObj.length; k++)
		// System.out.println(parsedStrObj[k]);
		parseObject(parsedStrObj);
		return parsedStrObj;

	}

	public static double parseObject(Object[] parsedObjects) {
		int l = parsedObjects.length;
		int counter = 0;
		try {
			counter = 0;
			for (int i = 0; i < l; i++) {
				if (parsedObjects[i].toString().equals("*")) {
					if (parsedObjects[i - 1].equals(")") == false
							&& parsedObjects[i + 1].equals("(") == false
							&& parsedObjects[i - 1].toString().equals("") == false
							&& parsedObjects[i + 1].toString().equals("") == false) {
						parsedObjects[i - 1] = Double
								.parseDouble(parsedObjects[i - 1].toString())
								* Double.parseDouble(parsedObjects[i + 1]
										.toString());
						parsedObjects[i + 1] = "";
						parsedObjects[i] = "";
					} else if (parsedObjects[i - 1].equals(")")
							|| parsedObjects[i + 1].equals("(")) {

					} else if (parsedObjects[i + 1].toString().equals("+")) {

						parsedObjects[i - 1] = Double
								.parseDouble(parsedObjects[i - 1].toString())
								* Double.parseDouble(parsedObjects[i + 2]
										.toString());
						parsedObjects[i] = "";
						parsedObjects[i + 1] = "";
						parsedObjects[i + 2] = "";
					}

					else if (parsedObjects[i + 1].toString().equals("-")) {
						parsedObjects[i - 1] = Double
								.parseDouble(parsedObjects[i - 1].toString())
								* -Double.parseDouble(parsedObjects[i + 2]
										.toString());
						parsedObjects[i] = "";
						parsedObjects[i + 1] = "";
						parsedObjects[i + 2] = "";
					}
				}

				else if (parsedObjects[i].equals("/")) {
					if (parsedObjects[i - 1].equals(")") == false
							&& parsedObjects[i + 1].equals("(") == false
							&& parsedObjects[i - 1].toString().equals("") == false
							&& parsedObjects[i + 1].toString().equals("") == false) {
						parsedObjects[i - 1] = Double
								.parseDouble(parsedObjects[i - 1].toString())
								/ Double.parseDouble(parsedObjects[i + 1]
										.toString());
						parsedObjects[i + 1] = "";
						parsedObjects[i] = "";
					} else if (parsedObjects[i + 1].toString().equals("+")) {
						parsedObjects[i - 1] = Double
								.parseDouble(parsedObjects[i - 1].toString())
								/ Double.parseDouble(parsedObjects[i + 2]
										.toString());
						parsedObjects[i] = "";
						parsedObjects[i + 1] = "";
						parsedObjects[i + 2] = "";
					}

					else if (parsedObjects[i + 1].toString().equals("-")) {
						parsedObjects[i - 1] = Double
								.parseDouble(parsedObjects[i - 1].toString())
								/ -Double.parseDouble(parsedObjects[i + 2]
										.toString());
						parsedObjects[i] = "";
						parsedObjects[i + 1] = "";
						parsedObjects[i + 2] = "";
					}
				}

				else if (parsedObjects[i].equals("+")) {
					if (parsedObjects[i - 1].equals(")") == false
							&& parsedObjects[i + 1].equals("(") == false
							&& parsedObjects[i - 1].toString().equals("") == false
							&& parsedObjects[i + 1].toString().equals("") == false) {
						if (i > 2 && parsedObjects[i - 2].equals("-")) {
							double res = -Double
									.parseDouble(parsedObjects[i - 1]
											.toString())
									+ Double.parseDouble(parsedObjects[i + 1]
											.toString());

							parsedObjects[i - 1] = Math.abs(res);
							if (res > 0) {
								parsedObjects[i - 2] = "+";
							}
						} else
							parsedObjects[i - 1] = Double
									.parseDouble(parsedObjects[i - 1]
											.toString())
									+ Double.parseDouble(parsedObjects[i + 1]
											.toString());
						parsedObjects[i + 1] = "";
						parsedObjects[i] = "";
					}
				}

				else if (parsedObjects[i].toString().equals("-")) {
					if (parsedObjects[i - 1].toString().equals(")") == false
							&& parsedObjects[i + 1].toString().equals("(") == false
							&& parsedObjects[i - 1].toString().equals("") == false
							&& parsedObjects[i + 1].toString().equals("") == false) {
						parsedObjects[i - 1] = Double
								.parseDouble(parsedObjects[i - 1].toString())
								- Double.parseDouble(parsedObjects[i + 1]
										.toString());
						parsedObjects[i + 1] = "";
						parsedObjects[i] = "";
					}
				}

				else if (parsedObjects[i].equals("(")
						&& parsedObjects[i + 2].equals(")")) {
					parsedObjects[i] = "";
					parsedObjects[i + 2] = "";
				}

				else if (parsedObjects[i].equals("(")
						&& parsedObjects[i + 1].equals(")")) {
					parsedObjects[i] = "";
					parsedObjects[i + 1] = "";
				}
				counter = counter + 1;
			}
		} catch (NullPointerException e) {

		}

		for (int index = 0; index < parsedObjects.length; index++) {
			try {
				if (parsedObjects[index].equals(""))
					for (int j = index + 1; j <= parsedObjects.length - 1; j++)
						parsedObjects[j - 1] = parsedObjects[j];
				if (parsedObjects[index].equals("(")
						&& parsedObjects[index + 2].equals(")")) {
					parsedObjects[index] = "";
					parsedObjects[index + 2] = "";
				} else if (parsedObjects[index].equals("(")
						&& parsedObjects[index + 1].equals(")")) {
					parsedObjects[index] = "";
					parsedObjects[index + 1] = "";
				}
			}

			catch (NullPointerException e) {
				break;
			}
			try {
				if (parsedObjects[index].equals(""))
					for (int j = index + 1; j <= parsedObjects.length - 1; j++)
						parsedObjects[j - 1] = parsedObjects[j];

			}

			catch (NullPointerException e) {
				break;
			}
		}
		for (int k = 0; k < parsedObjects.length; k++)
			System.out.println(parsedObjects[k]);

		for (int index = 0; index < parsedObjects.length; index++) {
			try {
				if (parsedObjects[index].equals("(") || counter > 1)
					parseObject(parsedObjects);
			} catch (NullPointerException e) {
				break;
			}
		}

		System.out.println(Double.parseDouble(parsedObjects[0].toString()));
		return Double.parseDouble(parsedObjects[0].toString());

	}*/

	// THERE ARE TWO TYPES OF FUNCTIONS: THOSE THAT ARE DEFINED IN THE ONTOLOGY
	// AND THOSE THAT WILL BE
	// USED FOR DATA FUSION. THE FUNCTION BELOW IS AN EXAMPLE OF A FUSION
	// FUNCTION
	public static double getAverage(ArrayList<SensorData> dataValues,
			int totalNumber) {
		double sum = 0;
		String functionType = "Average";
		for (int i = 0; i < totalNumber; i++)
			sum = sum + Double.parseDouble(dataValues.get(i).toString());

		double average = sum / totalNumber;
		return average;

	}
	
	public static double getAverageDouble(ArrayList<Double> dataValues,
			int totalNumber) {
		double sum = 0;
		String functionType = "Average";
		for (int i = 0; i < totalNumber; i++)
			sum = sum + Double.parseDouble(dataValues.get(i).toString());

		double average = sum / totalNumber;
		return average;

	}

}
