package test.java;

import static org.junit.Assert.*;

import java.io.IOException;

import org.apache.http.client.ClientProtocolException;
import org.apache.http.client.HttpClient;
import org.apache.http.client.ResponseHandler;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.impl.client.BasicResponseHandler;
import org.apache.http.impl.client.DefaultHttpClient;
import org.json.simple.parser.JSONParser;
import org.json.simple.parser.ParseException;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;

public class PhoneServicesProxyTest {

	
	public static final String PROXY_ADDR = "http://things.vtrip.net:8080/PhoneServicesProxy-1.0";
	
	@Test
	public void testPhoneServicesProxy() {
		MainControlImpl control = new MainControlImpl(PROXY_ADDR);
		control.startService(5);
		
		String testID = control.devs.get(0).getID();
		
		String getURL = PROXY_ADDR+"/"+testID+"/getnoiselevel";
		System.out.println("GET :"+getURL);
		HttpGet httpget = new HttpGet(getURL);
		
		HttpClient httpclient = new DefaultHttpClient();
		ResponseHandler<String> responseHandler = new BasicResponseHandler();
		try {
			String resp = httpclient.execute(httpget, responseHandler);
			new JSONParser().parse(resp);;
			assertTrue(true);
		} catch (ClientProtocolException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		} catch(ParseException e) {
			assertTrue(false);
		}
		
	}
	
}

