package test.java.services;

/**
 * Interface that declares generic operations for each service.
 * 
 * @author lekkas@vtrip.net
 *
 */
public interface Service {

	/**
	 * Gets the name of the service
	 * @return name of the service
	 */
	public String getName();
	
	
	/**
	 * Gets service response as JSON data.
	 * @return JSON data - service response
	 */
	public String getJSONData();
}
