package test.java;

import java.util.Set;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;
import org.ow2.choreos.iots.common.Constants;
import org.ow2.choreos.iots.common.ServiceDescription;
import org.ow2.choreos.registry.RegistryMap;

public class TestRegistryMap {

    static Set<ServiceDescription> regSet;
    String[] concepts = new String[2];
    ServiceDescription s;
    String relativeWebPath = "./sensorsAndActuators.rdf";

    @Before
    public void setUp() throws Exception {
        RegistryMap.add("www.test.com/service_addressabcd", "abcd",
                "getWindchill", "windchill_service", 1, "windchill_sensor", 1,
                "Paris", "windchill_factor", Constants.DOUBLE, 1, 1, 12345666L,
                "KcalPermPers", "");

        concepts[0] = "temperature";
        concepts[1] = "windchill_factor";
        s = new ServiceDescription("12", "www.test.com/service_address12",
                "getTemperature", "temperature_service", 1, "Paris", 1,
                "thermometer", "temperature", Constants.DOUBLE, 1, 1,
                "DegreeC", "");

    }

    @After
    public void tearDown() throws Exception {
    }

    @Test
    public void test() {

    }
}
