SensorAccess
============

Android app used to manage the sensors on mobile devices. The collected sensor data from the devices are exposed using a RESTful API. 

The SensorAccess app communicates with the RegistryManager to register the sensors and sensor metadata of the mobile devices.

#Use
Deploy it on Android mobile devices (min sdk version: 19).
Use of AndroidStudio is recommended for easier built with gradle engine.

#API
Get sensor valueσ: 
1. Get noise level: 			[GET] http://{deviceIP}/getnoiselevel
2. Get geo-location: 			[GET] http://{deviceIP}/getlocation
3. Get extended geo-location: 	[GET] http://{deviceIP}/getextendedlocation
4. Push message to device 		[POST] http://{deviceIP}//pushmessage (include text in the body of the message)

#Dependencies
1. Androjena <com.hp.hpl.jena> https://code.google.com/p/androjena/
2. JavaWebsocket <org.java_websocket> http://java-websocket.org/
3. JSONsimple <org.json.simple> https://code.google.com/p/json-simple/
4. Apache Lucene <org.apache.lucene> http://lucene.apache.org/core/
5. Restlet <org.restlet> http://restlet.com/