/******************************************************************
Author:  		Georgios Mathioudakis (georgios.mathioudakis@inria.fr)
Project: 		ServiceUI
package: 		fr.inria.arles.android.serviceui
Created: 		4 juil. 2013
Updated: 		
Status:  		
Description: 	
 ******************************************************************/

package fr.inria.arles.thinglib.RESTAccess;

import fr.inria.arles.thinglib.R;
import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.widget.TextView;


public class ShowMessage extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.message_show);
		
		onNewIntent(getIntent());
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main_menu, menu);
		return true;
	}
	
	@Override
	public void onNewIntent(Intent intent){
	    Bundle extras = intent.getExtras();
	    if(extras != null){
	        if(extras.containsKey("NotificationMessage"))
	        {
	            String msg = extras.getString("NotificationMessage");
	            TextView txtView = (TextView) findViewById(R.id._TV_Msg);
	            txtView.setText("");
	            txtView.setText(msg);
	            txtView.refreshDrawableState();
	            
	        }
	    }


	}
}
