/******************************************************************
Author:  		Georgios Mathioudakis (georgios.mathioudakis@inria.fr)
Project: 		AndroidSensorAccessDemo
package: 		fr.inria.arles.thinglib.exampleapps.RESTAccess
Created: 		11 juil. 2013
Updated: 		
Status:  		
Description: 	
 ******************************************************************/

package fr.inria.arles.thinglib.RESTAccess;


import android.app.Notification;
import android.app.NotificationManager;
import android.app.PendingIntent;
import android.content.Context;
import android.content.Intent;
import android.support.v4.app.NotificationCompat;

public class ShowMessage_UITask implements Runnable {
	private String data;

	public void setData(String _data) {
		this.data = _data;
	}

	public void run() {
		NotificationManager notificationManager = (NotificationManager) MainActivity.mainActivity
				.getSystemService(Context.NOTIFICATION_SERVICE);

		Intent notificationIntent = new Intent(MainActivity.mainActivity,
				ShowMessage.class);
		notificationIntent.removeExtra("NotificationMessage");
		notificationIntent.putExtra("NotificationMessage", data);
		PendingIntent pi = PendingIntent.getActivity(MainActivity.mainActivity,
				0, notificationIntent, PendingIntent.FLAG_UPDATE_CURRENT);

		Notification notification = new NotificationCompat.Builder(
				MainActivity.AppBaseContext)
				.setContentTitle("Promotional content").setContentText(data)
				.setSmallIcon(android.R.drawable.ic_dialog_email).setContentIntent(pi)
				.setAutoCancel(true).build();

		notification.defaults |= Notification.DEFAULT_SOUND;
		notification.defaults |= Notification.DEFAULT_LIGHTS;

		notificationManager.notify(0, notification);
	}
}