package fr.inria.arles.thinglib.devices;

/**
 * This abstract class is used to pass callbacks around. 
 */
public abstract class SensorListener { // TODO: rename this class to something a little clearer

	/**
	 * This method is called whenever a sensor has finished collecting data.
	 *
	 * @param message A SensorResponse object containing this sensor's newest
	 * data sample and some metadata about the data collection process.
	 */
	public abstract void onNewResponse(SensorResponse response); // TODO: rename this to handleSensorResponse

	
}

