package org.ow2.choreos.distributions;

import java.io.BufferedReader;
import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.Reader;
import java.io.StringWriter;
import java.io.Writer;
import java.util.ArrayList;
import java.util.Arrays;

public class CoverageProbability {

	// in here i can create a new distribution in each switch case and send its
	// params the number of which should
	// math the index in the mathematica codes

	public static double getValue(String command) {
		double result;
		File dirFile = new File("/Users/shachem/");

		double response = 0;
		String distToSend;

		ArrayList<String> commandList = new ArrayList<String>();

		commandList
				.add("/Applications/Mathematica.app/Contents/MacOS/MathKernel");
		commandList.add("-script");
		commandList.add("integralLists1804.m");
		commandList.addAll(Arrays.asList(command.split(" ")));
		command.split(" ");
		System.out.println(commandList.get(3));
		String num = commandList.get(3).replace(".0","");
		int length = Integer.parseInt(num);
		String dist = commandList.get(8 + 2 * length);
		//now this returns a string but it should return a distribution that will be decompose into args
		try{
		distToSend = Distribution.checkAndSubDistribution(dist);
		commandList.set(8 + 2*length, distToSend);

		
	
		// add the dist after to the commands
		ProcessBuilder pb = new ProcessBuilder(commandList);

		System.out.println(" command: " + command);
		pb.directory(dirFile);
		try {
			Process shell = pb.start();

			InputStream shellIn = shell.getInputStream();

			String responseString = convertStreamToStr(shellIn);
			response = Double.parseDouble(responseString);
			System.out.println(response);
			shellIn.close();

		} catch (IOException e) {
			System.out
					.println("Error occured while executing command. Error Description: "
							+ e.getMessage());
		}
		}
		catch(NullPointerException e){
			System.out.println("distribution doesn't exist");
		}
		
		return response;
	
	}

	public static String convertStreamToStr(InputStream is) throws IOException {
		if (is != null) {
			Writer writer = new StringWriter();
			char[] buffer = new char[1024];
			try {
				Reader reader = new BufferedReader(new InputStreamReader(is,
						"UTF-8"));
				int n;
				while ((n = reader.read(buffer)) != -1) {
					writer.write(buffer, 0, n);
				}
			} finally {
				is.close();
			}
			return writer.toString();
		} else {
			return "";
		}
	}
}
