package org.ow2.choreos.iots.common;

public class BorderPoints
{
  public Point myBottomLeft;
  public Point myBottomRight;
  public Point myUpperLeft;
  public Point myUpperRight;

  public BorderPoints(Point bottomLeft, Point bottomRight, Point upperLeft, Point upperRight)
  {
    this.myBottomLeft = bottomLeft;
    this.myBottomRight = bottomRight;
    this.myUpperLeft = upperLeft;
    this.myUpperRight = upperRight;
  }

  public Point getUpperLeftPoint()
  {
    return this.myUpperLeft;
  }

  public Point getUpperRightPoint() {
    return this.myUpperRight;
  }

  public Point getBottomLeftPoint() {
    return this.myBottomLeft;
  }

  public Point getBottomRightPoint() {
    return this.myBottomRight;
  }

  public double getWidth() {
    double width = this.myBottomRight.getX() - this.myBottomLeft.getX();
    return width;
  }
  public double getHeight() {
    double height = this.myUpperLeft.getY() - this.myBottomLeft.getY();
    return height;
  }

  public double getArea()
  {
    return getWidth() * getHeight();
  }
}