package org.ow2.choreos.iots.common;

public class FunctionObject
{
  public static final String NUM = "num";
  public static final String OPERAND = "operand";
  public static final String OPENBRACKET = "openBracket";
  public static final String CLOSEBRACKET = "closeBracket";
  Double myDataValue;
  String myType = "";
  String myValue = "";
  String myUnit = "";
  String myObjectName;

  public FunctionObject(String type, String value, String unit, Double dataVal)
  {
    this.myType = type;
    this.myValue = value;
    this.myDataValue = dataVal;
    this.myUnit = unit;
  }

  public String getType() {
    return this.myType;
  }

  public String getValue() {
    return this.myValue;
  }

  public String getUnit() {
    return this.myUnit;
  }

  public Double getDataValue()
  {
    return this.myDataValue;
  }

  public void setDataValue(double dv) {
    this.myDataValue = Double.valueOf(dv);
  }
  public void setValue(String v) {
    this.myValue = v;
  }
  public void setType(String t) {
    this.myType = t;
  }
}