package org.ow2.choreos.registration.interfaces;

import java.io.IOException;

import org.ow2.choreos.iots.common.Service;






public interface RegistrationEstimator {

	// TODO ADD PACKET SCOPE INTERFACE FOR REGISTRY ALONE
	// public double getCoverageAreaPerNode();

	// registeRe method calls the generateRegDec and sendRegistrationInformation
	// and requestNumberOfNodes methods
	/*
	 * 
	 */
	/**
	 * This method is called by the Registration Manager and passes a service object to the 
	 * probability estimator to perform its mathematical calculations. It takes the new threshold value
	 * and decides whether the device should register this service or not.
	 * @param phoneService: the service being evaluated
	 * @return: true if the service registered successfully, false otherwise.
	 * @throws IOException
	 */
	public  boolean registerMe(Service phoneService) throws IOException;

	// SINCE THE SERVICE COVERS AN AREA IT GETS THIS PLACE BASED ON ITS LOCATION
	/*
	 * public boolean registerMe( Location myCoverageLocation, double
	 * probThreshold, ArrayList<Location> myLocationsOfInterest, Service ps,
	 * String typeOfCoverage, double nodeNeighbors);
	 */

	/*
	 * ArrayList<DensityPerType> getDensities( HashMap<String, Double>
	 * numberOfNodesPerType, ArrayList<Location> locationsOfInterest);
	 */

	/*
	 * ArrayList<DensityPerType> getDensities( HashMap<String, Double>
	 * numberOfNodesPerType, Location globalLocation);
	 * 
	 * boolean generateRegDec(HashMap<String, Double> numberOfNodesByType,
	 * Map<Integer, ArrayList<Double>> locationsMap, double probThreshold,
	 * Location myGlobalLocation, Service ps);
	 * 
	 * /* boolean generateRegDec(HashMap<String, Double> numberOfNodesByType,
	 * Location myCoverageLocation, double probThreshold, ArrayList<Location>
	 * myLocationsOfInterest, Service ps, String typeOfCoverage, double
	 * nodeNeighbors);
	 */

	// THE TWO METHODS BELOW WILL INVOKE WEB SERVICES TO TALK TO THE REGISTRY

	// TODO I SHOULD ADD SENSOR MODEL BECAUSE IT IS IMPORTANT FOR LOOKUP,
	// SENSING RANGE IS THE RANGE OF THE PHONE? OR I GET IT FROM ONTOLOGY?
	// I KNOW IT BECAUSE THE DEVELOPPER SENDS IT TO THE MIDDLEWARE?
	/*
	 * public boolean sendRegistrationInformation(String deviceName, Location
	 * deviceLocation, Service deviceSensorService);
	 * 
	 * public HashMap<String, Double> requestNumberOfNodes(String
	 * RegistryAddress);
	 */

}