package org.ow2.choreos.iots.Objects;

public class Rectangle {
	private double xMin, yMin, xMax, yMax;
	private Coordinate bottomLeftCoord, bottomRightCoord, upperLeftCoord,
			upperRightCoord;
	private String id;
/**
 * 
 * @param xMin
 * @param yMin
 * @param xMax
 * @param yMax
 * @param id
 */
	public Rectangle(double xMin, double yMin, double xMax, double yMax,
			String id) {
		this.xMin = xMin;
		this.yMin = yMin;
		this.xMax = xMax;
		this.yMax = yMax;
		this.bottomLeftCoord = new Coordinate(xMin, yMin, this);
		this.bottomRightCoord = new Coordinate(xMax, yMin, this);
		this.upperLeftCoord = new Coordinate(xMin, yMax, this);
		this.upperRightCoord = new Coordinate(xMax, yMax, this);
		this.id = id;
	}

	public Coordinate getBottomLeftCoord() {
		return bottomLeftCoord;
	}

	public void setBottomLeftCoord(Coordinate bottomLeftCoord) {
		this.bottomLeftCoord = bottomLeftCoord;
	}

	public Coordinate getBottomRightCoord() {
		return bottomRightCoord;
	}

	public void setBottomRightCoord(Coordinate bottomRightCoord) {
		this.bottomRightCoord = bottomRightCoord;
	}

	public Coordinate getUpperLeftCoord() {
		return upperLeftCoord;
	}

	public void setUpperLeftCoord(Coordinate upperLeftCoord) {
		this.upperLeftCoord = upperLeftCoord;
	}

	public Coordinate getUpperRightCoord() {
		return upperRightCoord;
	}

	public void setUpperRightCoord(Coordinate upperRightCoord) {
		this.upperRightCoord = upperRightCoord;
	}

	public double getxMin() {
		return xMin;
	}

	public void setxMin(double xMin) {
		this.xMin = xMin;
	}

	public double getyMin() {
		return yMin;
	}

	public void setyMin(double yMin) {
		this.yMin = yMin;
	}

	public double getxMax() {
		return xMax;
	}

	public void setxMax(double xMax) {
		this.xMax = xMax;
	}

	public double getyMax() {
		return yMax;
	}

	public void setyMax(double yMax) {
		this.yMax = yMax;
	}

	public boolean covers(Rectangle r) {
		boolean covers = false;
		if (this.xMin <= r.getxMin() && this.getxMax() >= r.getxMax()
				&& this.getyMin() <= r.getyMin()
				&& this.getyMax() >= r.getyMax())
			covers = true;

		return covers;
	}

	public String getId() {
		return this.id;
	}
}
