package test;

import static org.junit.Assert.*;

import java.util.ArrayList;
import java.util.Collections;

import org.junit.Before;
import org.junit.Test;
import org.ow2.choreos.iots.Objects.Coordinate;
import org.ow2.choreos.iots.Objects.Rectangle;
import org.ow2.choreos.iots.linesweep.CustomComparator;
import org.ow2.choreos.iots.linesweep.CustomComparatorY;


public class TestSort {
	ArrayList<Coordinate> coords = new ArrayList<Coordinate>();

	@Before
	public void setUp() throws Exception {
		coords.add(new Coordinate(1, 1, new Rectangle(1, 1, 3, 3, "1")));
		coords.add(new Coordinate(3, 2, new Rectangle(1, 1, 3, 2, "2")));
		coords.add(new Coordinate(0, 3, new Rectangle(0, 3, 5, 7, "3")));
		coords.add(new Coordinate(5, 0, new Rectangle(5, 0, 8, 3, "4")));
	}

	@Test
	public void testSort() {
		Collections.sort(coords, new CustomComparator());
		for (Coordinate c : coords) {
			System.out.println(c.getX());
		}
	}
	@Test
	public void testSortY() {
		Collections.sort(coords, new CustomComparatorY());
		for (Coordinate c : coords) {
			System.out.println(c.getY());
		}
	}
	// @Test
	// public void testRectangle() {
	// Collections.sort(coords, new CustomComparator());
	// for (Coordinate c : coords) {
	// System.out.println(c.getRectangle().getxMin());
	// }
	// }

}
